_AdvancedRobot

Package | Class | Use | Tree | Serialized | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## robocode
Class _AdvancedRobot

    java.lang.Object
      robocode._Robot
          robocode.Robot
              robocode._AdvancedRobot

All Implemented Interfaces:
  Runnable

Direct Known Subclasses:
  _AdvancedRadiansRobot

public class _AdvancedRobot
extends Robot

This class is used by the system as a placeholder for all deprecated calls.

You should create a `AdvancedRobot` instead.

There is no guarantee that this class will exist in future versions of Robocode.

See Also:
  `AdvancedRobot`

Field Summary

Fields inherited from class robocode.Robot
`out`

Method Summary
`void` | `endTurn()` Deprecated. use execute() instead.
`double` | `getGunHeadingDegrees()` Deprecated. use getGunHeading
`double` | `getHeadingDegrees()` Deprecated. use getHeading
`int` | `getMaxWaitCount()` Deprecated. This method is no longer functional.
`double` | `getRadarHeadingDegrees()` Deprecated. use getRadarHeading
`int` | `getWaitCount()` Deprecated. Override onSkippedTurn instead.
`void` | `setTurnGunLeftDegrees(double degrees)` Deprecated. use #setTurnGunLeft
`void` | `setTurnGunRightDegrees(double degrees)` Deprecated. use #setTurnGunRight
`void` | `setTurnLeftDegrees(double degrees)` Deprecated. use #setTurnLeft
`void` | `setTurnRadarLeftDegrees(double degrees)` Deprecated. use #setTurnRadarLeft
`void` | `setTurnRadarRightDegrees(double degrees)` Deprecated. use #setTurnRadarRight
`void` | `setTurnRightDegrees(double degrees)` Deprecated. use #setTurnRight
`void` | `turnGunLeftDegrees(double degrees)` Deprecated. use robocode.Robot#turnGunLeft
`void` | `turnGunRightDegrees(double degrees)` Deprecated. use robocode.Robot#turnGunRight
`void` | `turnLeftDegrees(double degrees)` Deprecated. use robocode.Robot#turnLeft
`void` | `turnRadarLeftDegrees(double degrees)` Deprecated. use robocode.Robot#turnRadarLeft
`void` | `turnRadarRightDegrees(double degrees)` Deprecated. use robocode.Robot#turnRadarRight
`void` | `turnRightDegrees(double degrees)` Deprecated. use robocode.Robot#turnRight

Methods inherited from class robocode.Robot
`ahead, back, doNothing, finalize, fire, fireBullet, getBattleFieldHeight, getBattleFieldWidth, getEnergy, getGunCoolingRate, getGunHeading, getGunHeat, getHeading, getHeight, getName, getNumRounds, getOthers, getRadarHeading, getRoundNum, getTime, getVelocity, getWidth, getX, getY, onBulletHit, onBulletHitBullet, onBulletMissed, onDeath, onHitByBullet, onHitRobot, onHitWall, onRobotDeath, onScannedRobot, onWin, resume, run, scan, setAdjustGunForRobotTurn, setAdjustRadarForGunTurn, setAdjustRadarForRobotTurn, setColors, stop, stop, turnGunLeft, turnGunRight, turnLeft, turnRadarLeft, turnRadarRight, turnRight`

Methods inherited from class robocode._Robot
`getBattleNum, getGunCharge, getGunImageName, getLife, getNumBattles, getRadarImageName, getRobotImageName, setGunImageName, setInterruptible, setPeer, setRadarImageName, setRobotImageName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setTurnGunLeftDegrees

    public void setTurnGunLeftDegrees(double degrees)

  Deprecated. use #setTurnGunLeft

### setTurnGunRightDegrees

    public void setTurnGunRightDegrees(double degrees)

  Deprecated. use #setTurnGunRight

### turnRadarRightDegrees

    public void turnRadarRightDegrees(double degrees)

  Deprecated. use robocode.Robot#turnRadarRight

### setTurnRightDegrees

    public void setTurnRightDegrees(double degrees)

  Deprecated. use #setTurnRight

### setTurnRadarLeftDegrees

    public void setTurnRadarLeftDegrees(double degrees)

  Deprecated. use #setTurnRadarLeft

### setTurnLeftDegrees

    public void setTurnLeftDegrees(double degrees)

  Deprecated. use #setTurnLeft

### getHeadingDegrees

    public double getHeadingDegrees()

  Deprecated. use getHeading

### turnLeftDegrees

    public void turnLeftDegrees(double degrees)

  Deprecated. use robocode.Robot#turnLeft

### turnRightDegrees

    public void turnRightDegrees(double degrees)

  Deprecated. use robocode.Robot#turnRight

### endTurn

    public void endTurn()

  Deprecated. use execute() instead.

### getGunHeadingDegrees

    public double getGunHeadingDegrees()

  Deprecated. use getGunHeading

### getRadarHeadingDegrees

    public double getRadarHeadingDegrees()

  Deprecated. use getRadarHeading

### getWaitCount

    public int getWaitCount()

  Deprecated. Override onSkippedTurn instead.

### setTurnRadarRightDegrees

    public void setTurnRadarRightDegrees(double degrees)

  Deprecated. use #setTurnRadarRight

### turnGunLeftDegrees

    public void turnGunLeftDegrees(double degrees)

  Deprecated. use robocode.Robot#turnGunLeft

### turnGunRightDegrees

    public void turnGunRightDegrees(double degrees)

  Deprecated. use robocode.Robot#turnGunRight

### turnRadarLeftDegrees

    public void turnRadarLeftDegrees(double degrees)

  Deprecated. use robocode.Robot#turnRadarLeft

### getMaxWaitCount

    public int getMaxWaitCount()

  Deprecated. This method is no longer functional.

  See Also:
    `getWaitCount()`

Package | Class | Use | Tree | Serialized | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD